> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# Trainings-Checkpoint bereitstellen

> Stellen Sie einen gespeicherten Fastino-Trainings-Checkpoint für gehostete Inferenz bereit.

`POST /v1/training-jobs/{job_id}/checkpoints/{checkpoint_id}/deploy`

Stellt einen bereitstellbaren Checkpoint auf dem gehosteten Multi-Model-Inferenz-Endpunkt bereit.

## Request

<ParamField header="X-API-Key" type="string" required>
  Ihr Fastino-API-Schlüssel.
</ParamField>

<ParamField path="job_id" type="string" required>
  UUID des Trainingsjobs.
</ParamField>

<ParamField path="checkpoint_id" type="string" required>
  Checkpoint-ID, die vom Endpunkt zum Auflisten der Checkpoints zurückgegeben wird.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST \
    https://api.fastino.ai/v1/training-jobs/YOUR_TRAINING_JOB_ID/checkpoints/CHECKPOINT_ID/deploy \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Checkpoint deployed",
    "job_id": "YOUR_TRAINING_JOB_ID",
    "checkpoint_id": "CHECKPOINT_ID",
    "mme_path": "PROVIDER_MODEL_PATH"
  }
  ```
</ResponseExample>

Ein unbekannter Job oder Checkpoint gibt `404` zurück. Ein nicht bereitstellbarer Checkpoint gibt einen anfragespezifischen `4xx`-Fehler zurück.
